

# norootforbuild

%define		nolibname qwtplot3d
%define		realname	libqwtplot3d
%define		soname		0

Name:		%{realname}%{soname}
Summary:	QwtPlot3D a feature-rich Qt/OpenGL-based C++ programming library
Version:	0.2.7
Release:	0.pm.9.1
License:	GPL
Group:		Development/Libraries/C and C++
Url: 		http://qwtplot3d.sourceforge.net/

Source0:	http://heanet.dl.sourceforge.net/sourceforge/qwtplot3d/qwtplot3d-%{version}.tgz

Patch0:		qwtplot3d-gcc43.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	qt-devel
%if %suse_version == 1020
BuildRequires:	Mesa-devel
%endif

Obsoletes:	%{realname} %{nolibname}


%description
QwtPlot3D is not a  program, but a feature-rich Qt/OpenGL-based C++
programming library. She provides essentially a  bunch of 3D-widgets
for programmers. The library is zlib licensed.


%package -n %{realname}-devel
Summary:	Development tools for programs which uses QwtPlot3D Widget set
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}-%{release}
Requires:	qt-devel

%description -n %{realname}-devel
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.





%prep
%setup -q -n qwtplot3d
%patch0 -p1


%build
qmake qwtplot3d.pro -o Makefile
%{__make} %{?jobs:-j%{jobs}}


%install
%__mkdir -p %{buildroot}%{_includedir}/qwtplot3d
%__mkdir -p %{buildroot}%{_libdir}

for n in include/*.h ; do
    %__install -m 644 $n %{buildroot}%{_includedir}/qwtplot3d
done

# install, preserving links
chmod 644 lib/libqwtplot3d.so*
for n in lib/libqwtplot3d.so* ; do
    cp -d $n %{buildroot}%{_libdir}
done


%clean
rm -rf  %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/%{realname}.so.*


%files -n %{realname}-devel
%defattr(-,root,root)
%doc examples
%{_libdir}/%{realname}.so
%dir %{_includedir}/qwtplot3d
%{_includedir}/qwtplot3d/qwt3d*.h


%changelog
* Sat May 17 2008 Detlef Reichelt <detlef@links2linux.de> <0.2.7>-<0.pm.1>
- new upstream release <0.2.7>
* Mon Nov 28 2005 Quentin Denis <quentin@links2linux.de>
- update to 0.2.6
* Wed Jul 06 2005 Quentin Denis <quentin@links2linux.de>
- initial package for SuSE
